Subject: Re: bug#6689: 24.0.50; No primary selection

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Aug 2010 00:57:43 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Sat, 14 Aug 2010 11:17:54 -0700
> 
> > Let's define "part of this bug" as any abnormal effects of clicking
> > mouse-2 when a selection exists either in the current session of Emacs
> > or in another application (via the clipboard).  The "normal effect" is
> > having the selected text pasted at mouse click location.
> > 
> > Please note that the way I fixed the bug is that the text from the
> > clipboard should be pasted in preference to the text selected in the
> > current session.  This particular behavior was my decision, so if it
> > somehow interferes with your expectations, please also reopen this
> > bug.
> 
> Hm.  I still want the ability to select text with the mouse and yank it into the
> same or another Emacs session (even another session of another Emacs release -
> in either direction).

You can have it, if you customize mouse-drag-copy-region to t, like it
was before the changes that broke mouse-2 on Windows.  This issue is
unrelated to what I did today.

> I also think that should be the default behavior.  That is, I think the default
> behavior (on Windows) should not be changed from previous releases.

The discussion about what should a mere selection (without killing) do
is still on-going.  The default behavior depends on the outcome of
that discussion.

> Dunno if what you described is something different from this.

No, I described something different.